as.coastline {oce} | R Documentation

## Coerce Data into a Coastline Object

### Description

Coerces a sequence of longitudes and latitudes into a coastline dataset. This may be used when `read.coastline` cannot read a file, or when the data have been manipulated.

### Usage

    as.coastline(longitude, latitude, fillable = FALSE)

### Arguments

`longitude` | the longitude in decimal degrees, positive east of Greenwich, or a data frame with columns named `latitude` and `longitude`, in which case these values are extracted from the data frame and the second argument is ignored.
`latitude` | the latitude in decimal degrees, positive north of the Equator.
`fillable` | boolean indicating whether the coastline can be drawn as a filled polygon.

### Value

An object of `class` `"coastline"` (for details, see `read.coastline`).

### Author(s)

Dan Kelley

### See Also

Other things related to `coastline` data: `[[,coastline-method`, `[[<-,coastline-method`, `coastline-class`, `coastlineBest`, `coastlineCut`, `coastlineWorld`, `download.coastline`, `plot,coastline-method`, `read.coastline.openstreetmap`, `read.coastline.shapefile`, `subset,coastline-method`, `summary,coastline-method`

[Package oce version 0.9-22 Index]